mysqld got signal 11 during setting up root password on package installation on ppc64el

Bug #1570678 reported by Nobuto Murata on 2016-04-15
48
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Percona XtraDB Cluster moved to https://jira.percona.com/projects/PXC
New
Undecided
Unassigned
percona-cluster (Juju Charms Collection)
High
Ryan Beisner
percona-xtradb-cluster-5.5 (Ubuntu)
Trusty
Medium
Unassigned
percona-xtradb-cluster-5.6 (Ubuntu)
Medium
Unassigned
Declined for Yakkety by Robie Basak
Xenial
Medium
Unassigned

Bug Description

[Impact]

 * Percona Server won't install correctly in ppc64le architecture.

[Test Case]

 * Install percona server in ppc64le and follow postinst dialog screen.

[Regression Potential]

 * Fix is based in upstream commit.
 * Fix removes ASSERT that makes mysql process to fail because of wrong page-size.

[Other Info]

Summary: comment #18 summarizes comments from Fernando and Trent.

#### Original Description:

I put the root password with debconf dialogue, but it shows an error:

> Unable to set password for the Percona Server "root" user
>
> An error occurred while setting the password for the Percona Server administrative user. This may have happened because the account already has a password, or because of a
> communication problem with the Percona Server daemon.
>
> You should check the account's password after the package installation.
> Please read the /usr/share/doc/mysql-server-5.5/README.Debian file for more information.

[/var/log/mysql/error.log]
https://launchpadlibrarian.net/253894853/error.log
160415 3:55:09 Percona XtraDB (http://www.percona.com) 5.5.37-35.0-35.0 started; log sequence number 0
03:55:09 UTC - mysqld got signal 11 ;
This could be because you hit a bug. It is also possible that this binary
or one of the libraries it was linked against is corrupt, improperly built,
or misconfigured. This error can also be caused by malfunctioning hardware.
We will try our best to scrape up some info that will hopefully help
diagnose the problem, but since we have already crashed,
something is definitely wrong and this may fail.
Please help us make Percona XtraDB Cluster better by reporting any
bugs at https://bugs.launchpad.net/percona-xtradb-cluster

key_buffer_size=16777216
read_buffer_size=131072
max_used_connections=0
max_threads=153
thread_count=0
connection_count=0
It is possible that mysqld could use up to
key_buffer_size + (read_buffer_size + sort_buffer_size)*max_threads = 351266 K bytes of memory
Hope that's ok; if not, decrease some variables in the equation.

Thread pointer: 0x0
Attempting backtrace. You can use the following information to find out
where mysqld died. If you see no messages after this, something went
terribly wrong...
stack_bottom = 0 thread_stack 0x30000
/usr/sbin/mysqld(my_print_stacktrace+0x44)[0x385cbcf4]
/usr/sbin/mysqld(handle_fatal_signal+0x500)[0x384171c0]
[0x3fffb5470478]
/usr/sbin/mysqld(_ZN11TC_LOG_MMAP4openEPKc+0x6f4)[0x384ffd54]
/usr/sbin/mysqld(_ZN11TC_LOG_MMAP4openEPKc+0x2cc)[0x384ff92c]
/usr/sbin/mysqld(+0x2a5e1c)[0x38225e1c]
/usr/sbin/mysqld(_Z11mysqld_mainiPPc+0x808)[0x38228f58]
/usr/sbin/mysqld(main+0x20)[0x382062d0]
/lib/powerpc64le-linux-gnu/libc.so.6(+0x24d00)[0x3fffb4cd4d00]
/lib/powerpc64le-linux-gnu/libc.so.6(__libc_start_main+0xc8)[0x3fffb4cd4ef8]
You may download the Percona XtraDB Cluster operations manual by visiting
http://www.percona.com/software/percona-xtradb-cluster/. You may find information
in the manual which will help you identify the cause of the crash.

Installed mysqld can be accessed without password.

$ mysql -u root
Welcome to the MySQL monitor. Commands end with ; or \g.
Your MySQL connection id is 2
Server version: 5.5.37-35.0 Percona XtraDB Cluster (GPL), Release 35.0 (Ubuntu), wsrep_25.10.rXXXX

Copyright (c) 2009-2014 Percona LLC and/or its affiliates
Copyright (c) 2000, 2014, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql> Bye

ProblemType: BugDistro
Release: Ubuntu 14.04
Package: percona-xtradb-cluster-server-5.5 5.5.37-25.10+dfsg-0ubuntu0.14.04.1
ProcVersionSignature: Ubuntu 4.2.0-35.40~14.04.1-generic 4.2.8-ckt5
Uname: Linux 4.2.0-35-generic ppc64le
NonfreeKernelModules: xfs dm_multipath scsi_dh nbd ebtable_filter ebtables ip6table_filter ip6_tables kvm_hv kvm xt_recent ipt_REJECT nf_reject_ipv4 nf_log_ipv4 nf_log_common xt_LOG xt_limit xt_addrtype xt_conntrack veth xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack xt_tcpudp iptable_filter ip_tables x_tables bridge stp llc ib_iser rdma_cm iw_cm ib_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi dm_crypt ofpart cmdlinepart joydev input_leds mac_hid at24 powernv_flash opal_prd mtd ipmi_powernv ipmi_msghandler uio_pdrv_genirq uio powernv_rng mlx4_en vxlan ip6_udp_tunnel udp_tunnel hid_generic usbhid hid uas usb_storage ast syscopyarea sysfillrect sysimgblt i2c_algo_bit ttm drm_kms_helper bnx2x drm mlx4_core aacraid ahci libahci mdio libcrc32c
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: ppc64el
Date: Fri Apr 15 02:42:19 2016
ProcLoadAvg: 1.22 2.08 1.80 2/2802 3293
ProcSwaps:
 Filename Type Size Used Priority
 /swap.img file 8388544 0 -1
ProcVersion: Linux version 4.2.0-35-generic (buildd@bos01-ppc64el-002) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #40~14.04.1-Ubuntu SMP Wed Mar 16 17:53:38 UTC 2016SourcePackage: percona-xtradb-cluster-5.5
UpgradeStatus: No upgrade log present (probably fresh install)
cpu_cores: Number of cores present = 10
cpu_coreson: Number of cores online = 10
cpu_smt: SMT=8

Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :

debug output with "set -x" of `/var/lib/dpkg/info/percona-xtradb-cluster-server-5.5.postinst configure`

Nobuto Murata (nobuto) wrote :
Download full text (3.8 KiB)

To see the exact error, I executed the following:

root@percona-test:~# service mysql stop
 * Stopping MySQL (Percona XtraDB Cluster) mysqld
   ...done.
root@percona-test:~# rm /var/lib/mysql/tc.log
root@percona-test:~# cat tfile
USE mysql;
UPDATE user SET password=PASSWORD("root") WHERE user='root';
FLUSH PRIVILEGES;
root@percona-test:~# mysqld --bootstrap --user=mysql --skip-grant-tables < tfile
160415 3:31:31 [Warning] Using unique option prefix key_buffer instead of key_buffer_size is deprecated and will be removed in a future release. Please use the full name instead.
root@percona-test:~# echo $?
1

[/var/log/mysql/error.log]
160415 3:31:31 [Note] WSREP: Read nil XID from storage engines, skipping position init
160415 3:31:31 [Note] WSREP: wsrep_load(): loading provider library 'none'
160415 3:31:31 [Warning] Using unique option prefix myisam-recover instead of myisam-recover-options is deprecated and will be removed in a future release. Please use the full name instead.
160415 3:31:31 [Note] Plugin 'FEDERATED' is disabled.
160415 3:31:31 InnoDB: The InnoDB memory heap is disabled
160415 3:31:31 InnoDB: Mutexes and rw_locks use GCC atomic builtins
160415 3:31:31 InnoDB: Compressed tables use zlib 1.2.8
160415 3:31:31 InnoDB: Using Linux native AIO
160415 3:31:31 InnoDB: Initializing buffer pool, size = 128.0M
160415 3:31:31 InnoDB: Completed initialization of buffer pool
160415 3:31:31 InnoDB: highest supported file format is Barracuda.
160415 3:31:31 InnoDB: Waiting for the background threads to start
160415 3:31:32 Percona XtraDB (http://www.percona.com) 5.5.37-35.0-35.0 started; log sequence number 1598129
03:31:32 UTC - mysqld got signal 11 ;
This could be because you hit a bug. It is also possible that this binary
or one of the libraries it was linked against is corrupt, improperly built,
or misconfigured. This error can also be caused by malfunctioning hardware.
We will try our best to scrape up some info that will hopefully help
diagnose the problem, but since we have already crashed,
something is definitely wrong and this may fail.
Please help us make Percona XtraDB Cluster better by reporting any
bugs at https://bugs.launchpad.net/percona-xtradb-cluster

key_buffer_size=16777216
read_buffer_size=131072
max_used_connections=0
max_threads=153
thread_count=0
connection_count=0
It is possible that mysqld could use up to
key_buffer_size + (read_buffer_size + sort_buffer_size)*max_threads = 351266 K bytes of memory
Hope that's ok; if not, decrease some variables in the equation.

Thread pointer: 0x0
Attempting backtrace. You can use the following information to find out
where mysqld died. If you see no messages after this, something went
terribly wrong...
stack_bottom = 0 thread_stack 0x30000
mysqld(my_print_st...

Read more...

Nobuto Murata (nobuto) wrote :
description: updated
summary: - failed to setup root password on package installation on ppc64el
+ mysqld got signal 11 during setting up root password on package
+ installation on ppc64el
description: updated
Antonio Rosales (arosales) wrote :

Nobuto,

The OpenStack team has only hit this issue on ppc64el, and not x86 in our testing. Thus, could we work to get some ppc64el engineers looking at the stack trace to help determine root cuase?

-thanks,
Antonio

Hi All,

(Nobuto is off this project; Matt Rae is the Consultant trying to implement this now)

I have written to Mark Brown to assist in identifying an IBM engineer to look at that trace and help us determine root cause of this bug.

Thanks,

Alicia

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in percona-xtradb-cluster-5.5 (Ubuntu):
status: New → Confirmed
Leonardo Borda (lborda) wrote :

@nobuto,

Can you provide us with the steps you used to set the root password with debconf so I can try to reproduce it here?

Thank you
Leo

Nobuto Murata (nobuto) wrote :

@Leo,

simply:
$ sudo apt-get install percona-xtradb-cluster-server-5.5
<enter password on shown-up dialog>

or unattendedly:

#!/bin/sh
cat <<EOF | debconf-set-selections
mysql-server mysql-server/root_password password test
mysql-server mysql-server/root_password_again password test
EOF
env DEBIAN_FRONTEND=noninteractive apt-get install -y percona-xtradb-cluster-server-5.5

Hello.

Per this part of the stacktrace:

/usr/sbin/mysqld(_ZN11TC_LOG_MMAP4openEPKc+0x6f4)[0x384ffd54]
/usr/sbin/mysqld(_ZN11TC_LOG_MMAP4openEPKc+0x2cc)[0x384ff92c]

And sorry if this is a stupid question, but do you think it might be related to the pagesize?

Page size on ppc64el is normally defined to 64k.

I see that sql/log.cc uses my_getpagesize(), which is defined by system call getpagesize() in include/my_sys.h.

I rebuilt percona-xtradb-cluster-5.5 with pagesize set to 4k and installed it just to test.
It did not get signal 11 in this case.

Thanks and regards.

Fernando

Mario Splivalo (mariosplivalo) wrote :

I can confirm this - I fixed the pagesize do 8K and built for ppc64el, package installed ok, no signal 11.

Also, I built percona for amd64, fixing pagesize to 64K - experienced the same issue.

I tried the MariaDB patch mentioned by Trent.
Naturally, it did not apply cleanly.
I used what I could from it, which was actually not much.
The package built and installed with no signal 11, but I can't tell if it is correct and if something could be missing there.
The patch is attached.

The attachment "percona_ppc64el.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch

Those parts seem to be basically the same in mysql-5.5.
And that error does not happen when installing mysql.
How do I debug this?

From comment #12 (from Fernando):

"""
Per this part of the stacktrace:

/usr/sbin/mysqld(_ZN11TC_LOG_MMAP4openEPKc+0x6f4)[0x384ffd54]
/usr/sbin/mysqld(_ZN11TC_LOG_MMAP4openEPKc+0x2cc)[0x384ff92c]

And sorry if this is a stupid question, but do you think it might be related to the pagesize?
"""

In x64 object file, 0x6f4 == 1780 which gives us:

     file_length= opt_tc_log_size;

     0x00000000004c2fd3 <+1763>: lea 0x891f36(%rip),%rax # 0xd54f10 <opt_tc_log_size>
*** 0x00000000004c2fe4 <+1780>: mov (%rax),%r14
     0x00000000004c2fee <+1790>: mov %r14,0x210(%rbx)

     if (mysql_file_chsize(fd, file_length, 0, MYF(MY_WME)))

     0x00000000004c305a <+1898>: test %r13d,%r13d
     0x00000000004c305d <+1901>: jne 0x4c2ef6 <TC_LOG_MMAP::open(char const*)+1542>
     0x00000000004c3063 <+1907>: mov 0x210(%rbx),%rsi

When the key_file_tclog can't be opened. Right after, we have:

  npages=(uint)file_length/tc_log_page_size;
  DBUG_ASSERT(npages >= 3); // to guarantee non-empty pool

Which upstream fix pointed by Trent talks about.

And according to:

#define TC_LOG_PAGE_SIZE 8192
#define TC_LOG_MIN_SIZE (3*TC_LOG_PAGE_SIZE)

ulong opt_tc_log_size= TC_LOG_MIN_SIZE;

And based feedback, we should skip the ASSERTs for bigger page-sizes, definitely.

https://bugs.launchpad.net/ubuntu/+source/percona-xtradb-cluster-5.5/+bug/1570678/+attachment/4669694/+files/percona_ppc64el.patch

Looks good to me.

description: updated
description: updated
Changed in percona-xtradb-cluster-5.5 (Ubuntu):
importance: Undecided → Medium
status: Confirmed → In Progress
assignee: nobody → Rafael David Tinoco (inaddy)

I'm attaching debdiffs for: Trusty, Xenial & Yakkety. Skipping Wily since it will be EOL by the end of this month.

For now I have provided the following PPA (x64 & ppc64el):

https://launchpad.net/~inaddy/+archive/ubuntu/lp1570678

That can be used while fix doesn't get into -proposed.

Subscribing Ubuntu Sponsors Team.

Will also (soon) propose merge in upstream percona tree:

https://github.com/percona/percona-xtradb-cluster

Robie Basak (racb) on 2016-07-19
Changed in percona-xtradb-cluster-5.5 (Ubuntu):
status: In Progress → Invalid
Changed in percona-xtradb-cluster-5.5 (Ubuntu Xenial):
status: New → Invalid
Changed in percona-xtradb-cluster-5.6 (Ubuntu):
status: New → Fix Committed
Changed in percona-xtradb-cluster-5.6 (Ubuntu Trusty):
status: New → Invalid
Robie Basak (racb) wrote :

Uploaded 5.6 to Yakkety and Xenial and 5.5 to Trusty, with minor modifications as agreed with Rafael on IRC: changelog clarification and fix of version string for the Trusty upload.

Changed in percona-xtradb-cluster-5.6 (Ubuntu Xenial):
status: New → In Progress
Changed in percona-xtradb-cluster-5.5 (Ubuntu Trusty):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package percona-xtradb-cluster-5.6 - 5.6.21-25.8-0ubuntu5

---------------
percona-xtradb-cluster-5.6 (5.6.21-25.8-0ubuntu5) yakkety; urgency=medium

  * d/p/fix_tc_log_initlization_on_ppc64.patch: Fix log-tc-size for bigger
    page sizes to fix crash on ppc64el (LP: #1570678)

 -- Rafael David Tinoco <email address hidden> Sun, 17 Jul 2016 01:03:19 +0000

Changed in percona-xtradb-cluster-5.6 (Ubuntu):
status: Fix Committed → Fix Released
Nobuto Murata (nobuto) wrote :

I wondered if it's not fixed in Percona upstream yet (the patch seems from MariaDB), because the debian patch can still be applied partially.

$ git remote -v
origin https://github.com/percona/percona-xtradb-cluster.git (fetch)
$ git branch -vv
* 5.6 edc73a6 [origin/5.6] Merge pull request #214 from kbauskar/5.6-pxc-268
  v edc73a6 Merge pull request #214 from kbauskar/5.6-pxc-268

$ patch -p1 < /tmp/percona-xtradb-cluster-5.6-5.6.21-25.8/debian/patches/fix_tc_log_initialization_on_ppc64.patch
patching file mysql-test/include/mysqld--help.inc
Hunk #1 FAILED at 19.
1 out of 1 hunk FAILED -- saving rejects to file mysql-test/include/mysqld--help.inc.rej
patching file mysql-test/r/mysqld--help-notwin.result
Hunk #1 succeeded at 1356 with fuzz 1 (offset 50 lines).
patching file sql/log.cc
patching file sql/mysqld.cc
Hunk #1 succeeded at 8336 (offset 267 lines).
patching file sql/sql_class.h
Hunk #1 succeeded at 235 (offset 6 lines).
patching file sql/sys_vars.cc
Hunk #1 succeeded at 5294 (offset 197 lines).

Well I checked percona upstream git tree and it didn't seem to contain this fix. I fixed this in the airplane so I had no bandwidth for cloning their tree =). https://github.com/inaddy/percona-xtradb-cluster will contain my merge proposal (probably by the end of this week).

Hello Nobuto, or anyone else affected,

Accepted percona-xtradb-cluster-5.6 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/percona-xtradb-cluster-5.6/5.6.21-25.8-0ubuntu3.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in percona-xtradb-cluster-5.6 (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Nobuto, or anyone else affected,

Accepted percona-xtradb-cluster-5.5 into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/percona-xtradb-cluster-5.5/5.5.37-25.10+dfsg-0ubuntu0.14.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in percona-xtradb-cluster-5.5 (Ubuntu Trusty):
status: In Progress → Fix Committed
Jason Furmanek (furmanek) wrote :

I've installed percona-xtradb-cluster-5.5 from trusty-proposed on ppc64el and did not see a signal 11. That's good!

Jason Furmanek (furmanek) wrote :

Sorry. Version was:

$ dpkg -s percona-xtradb-cluster-server
Package: percona-xtradb-cluster-server
Status: install ok installed
Priority: extra
Section: database
Installed-Size: 58
Maintainer: Ubuntu Developers <email address hidden>
Architecture: all
Source: percona-xtradb-cluster-5.5
Version: 5.5.37-25.10+dfsg-0ubuntu0.14.04.2
Depends: percona-xtradb-cluster-server-5.5 (>= 5.5.37-25.10+dfsg-0ubuntu0.14.04.2)

tags: added: verification-done-trusty
Mathew Hodson (mhodson) on 2016-08-08
Changed in percona-xtradb-cluster-5.5 (Ubuntu Trusty):
importance: Undecided → Medium
Changed in percona-xtradb-cluster-5.6 (Ubuntu):
importance: Undecided → Medium
Changed in percona-xtradb-cluster-5.6 (Ubuntu Xenial):
importance: Undecided → Medium
no longer affects: percona-xtradb-cluster-5.5 (Ubuntu)
no longer affects: percona-xtradb-cluster-5.5 (Ubuntu Xenial)
no longer affects: percona-xtradb-cluster-5.6 (Ubuntu Trusty)
Ryan Beisner (1chb1n) on 2016-08-08
Changed in percona-cluster (Juju Charms Collection):
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Ryan Beisner (1chb1n)
milestone: none → 16.10
Ryan Beisner (1chb1n) on 2016-08-08
tags: added: uosci

Okay, I got this from the final user:

"""
$ dpkg -s percona-xtradb-cluster-server
Package: percona-xtradb-cluster-server
Status: install ok installed
Priority: extra
Section: database
Installed-Size: 58
Maintainer: Ubuntu Developers <email address hidden>
Architecture: all
Source: percona-xtradb-cluster-5.5
Version: 5.5.37-25.10+dfsg-0ubuntu0.14.04.2
Depends: percona-xtradb-cluster-server-5.5 (>= 5.5.37-25.10+dfsg-0ubuntu0.14.04.2)

on a stand alone ppc64el server I have. I used the trusty-proposed repo.
No errors on installation. Root password seems to have been set fine.
"""

So I'm marking this as verification-done.

tags: added: sts verification-done
removed: verification-done-trusty verification-needed
tags: added: verification-needed
removed: verification-done
Jason Furmanek (furmanek) wrote :

I just tested percona-xtradb-cluster from Xenial-proposed on ppc64el and I am still getting the root password error.

Unable to set password for the Percona Server "root" user │
 │ │
 │ An error occurred while setting the password for the Percona Server │
 │ administrative user. This may have happened because the account already │
 │ has a password, or because of a communication problem with the Percona │
 │ Server daemon. │
 │ │
 │ You should check the account's password after the package installation. │
 │ │
 │ Please read the │
 │ /usr/share/doc/percona-xtradb-cluster-server-5.6/README.Debian file for │
 │ more information. │
 │ │
 │ <Ok>

..
Errors were encountered while processing:
 percona-xtradb-cluster-server-5.6
 percona-xtradb-cluster-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

$ dpkg -s percona-xtradb-cluster-server
Package: percona-xtradb-cluster-server
Status: install ok unpacked
Priority: extra
Section: database
Installed-Size: 43
Maintainer: Ubuntu Developers <email address hidden>
Architecture: all
Source: percona-xtradb-cluster-5.6
Version: 5.6.21-25.8-0ubuntu3.2

Okay,

I was able to get a PPC64LE environment with all Ubuntu versions installed.

## TRUSTY VERIFICATION

# policy

percona-xtradb-cluster-server:
  Installed: (none)
  Candidate: 5.5.37-25.10+dfsg-0ubuntu0.14.04.2
  Version table:
     5.5.37-25.10+dfsg-0ubuntu0.14.04.2 0
        500 http://ports.ubuntu.com/ubuntu-ports/ trusty-proposed/universe ppc64el Packages
     5.5.37-25.10+dfsg-0ubuntu0.14.04.1 0
        500 http://ports.ubuntu.com/ubuntu-ports/ trusty-updates/universe ppc64el Packages
     5.5.34-25.9+dfsg-0ubuntu4 0
        500 http://ports.ubuntu.com/ubuntu-ports/ trusty/universe ppc64el Packages

# installation

Setting up percona-xtradb-cluster-server-5.5 (5.5.37-25.10+dfsg-0ubuntu0.14.04.2) ...
 * Stopping MySQL (Percona XtraDB Cluster) mysqld [ OK ]
chown: cannot access ‘/var/run/mysqld’: No such file or directory
160908 17:23:21 [Warning] Using unique option prefix key_buffer instead of key_buffer_size is deprecated and will be removed in a future release. Please use the full name instead.
 * Starting MySQL (Percona XtraDB Cluster) database server mysqld [ OK ]

# running

inaddy@tinocotrusty:~$ ps -ef | grep mysql
root 4340 1 0 17:24 ? 00:00:00 /bin/sh /usr/bin/mysqld_safe
mysql 4721 4340 0 17:24 ? 00:00:00 /usr/sbin/mysqld --basedir=/usr --datadir=/var/lib/mysql --plugin-dir=/usr/lib/mysql/plugin --user=mysql --log-error=/var/log/mysql/error.log --pid-file=/var/run/mysqld/mysqld.pid --socket=/var/run/mysqld/mysqld.sock --port=3306 --wsrep_start_position=00000000-0000-0000-0000-000000000000:-1

# acccess

naddy@tinocotrusty:~$ mysql -u root -p
Enter password:
Welcome to the MySQL monitor. Commands end with ; or \g.
Your MySQL connection id is 2
Server version: 5.5.37-35.0 Percona XtraDB Cluster (GPL), Release 35.0 (Ubuntu), wsrep_25.10.rXXXX

Copyright (c) 2009-2014 Percona LLC and/or its affiliates
Copyright (c) 2000, 2014, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql>

## XENIAL VERIFICATION

inaddy@tinocoxenial:~$ uname -a
Linux tinocoxenial 4.4.0-24-generic #43-Ubuntu SMP Wed Jun 8 19:25:36 UTC 2016 ppc64le ppc64le ppc64le GNU/Linux

inaddy@tinocoxenial:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

# policy

percona-xtradb-cluster-server:
  Installed: (none)
  Candidate: 5.6.21-25.8-0ubuntu3.2
  Version table:
     5.6.21-25.8-0ubuntu3.2 500
        500 http://ports.ubuntu.com/ubuntu-ports xenial-proposed/universe ppc64el Packages
     5.6.21-25.8-0ubuntu3.1 500
        500 http://ports.ubuntu.com/ubuntu-ports xenial-updates/universe ppc64el Packages
     5.6.21-25.8-0ubuntu3 500
        500 http://ports.ubuntu.com/ubuntu-ports xenial/universe ppc64el Packages

# installation

Setting up percona-xtradb-cluster-server-5.6 (5.6.21-25.8-0ubuntu3.2) ...
update-alternatives: using /etc/mysql/percona-xtradb-cluster.cnf to provide /etc/mysql/my.cnf (my.cnf) in auto mode
2016-09-08 17:31:16 0 [Warning] Using unique option prefix key_buffer instead of key_buffer_size is deprecated and will be removed in a future release. Please use the full name instead.
2016-09-08 17:31:16 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
Setting up percona-xtradb-cluster-server (5.6.21-25.8-0ubuntu3.2) ...

# running

inaddy@tinocoxenial:~$ ps -ef | grep mysql
root 2908 1 0 17:31 ? 00:00:00 /bin/sh /usr/bin/mysqld_safe
mysql 3249 2908 0 17:31 ? 00:00:00 /usr/sbin/mysqld --basedir=/usr --datadir=/var/lib/percona-xtradb-cluster --plugin-dir=/usr/lib/mysql/plugin --user=mysql --log-error=/var/log/mysql/error.log --pid-file=/var/run/mysqld/mysqld.pid --socket=/var/run/mysqld/mysqld.sock --port=3306 --wsrep_start_position=00000000-0000-0000-0000-000000000000:-1

# accessing

inaddy@tinocoxenial:~$ mysql -u root -p
Enter password:
Welcome to the MySQL monitor. Commands end with ; or \g.
Your MySQL connection id is 3
Server version: 5.6.21-70.1-70.1 Percona XtraDB Cluster (GPL), Release 5.6.21-25.8.4150, wsrep_25.8.rXXXX

Copyright (c) 2000, 2016, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql> show databases;
+--------------------+
| Database |
+--------------------+
| information_schema |
| mysql |
| performance_schema |
| test |
+--------------------+
4 rows in set (0.00 sec)

--------------------------

I'm not facing any problem with Xenial version from -proposed during installation. My verification works, am I missing something ? It worked for Trusty and Xenial.

## YAKKETY verification

# policy

inaddy@tinocoyakkety:~$ apt-cache policy percona-xtradb-cluster-server
percona-xtradb-cluster-server:
  Installed: (none)
  Candidate: 5.6.21-25.8-0ubuntu5
  Version table:
     5.6.21-25.8-0ubuntu5 500
        500 http://ports.ubuntu.com/ubuntu-ports yakkety/universe ppc64el Packages

# installation

Setting up percona-xtradb-cluster-server-5.6 (5.6.21-25.8-0ubuntu5) ...
update-alternatives: using /etc/mysql/percona-xtradb-cluster.cnf to provide /etc/mysql/my.cnf (my.cnf) in auto mode
2016-09-08 17:39:16 0 [Warning] Using unique option prefix key_buffer instead of key_buffer_size is deprecated and will be removed in a future release. Please use the full name instead.
2016-09-08 17:39:16 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
Setting up percona-xtradb-cluster-server (5.6.21-25.8-0ubuntu5) ...

# running

inaddy@tinocoyakkety:~$ ps -ef | grep mysql
root 2649 1 0 17:39 ? 00:00:00 /bin/sh /usr/bin/mysqld_safe
mysql 2989 2649 0 17:39 ? 00:00:00 /usr/sbin/mysqld --basedir=/usr --datadir=/var/lib/percona-xtradb-cluster --plugin-dir=/usr/lib/mysql/plugin --user=mysql --log-error=/var/log/mysql/error.log --pid-file=/var/run/mysqld/mysqld.pid --socket=/var/run/mysqld/mysqld.sock --port=3306 --wsrep_start_position=00000000-0000-0000-0000-000000000000:-1

# accessing

inaddy@tinocoyakkety:~$ mysql -u root -p
Enter password:
Welcome to the MySQL monitor. Commands end with ; or \g.
Your MySQL connection id is 2
Server version: 5.6.21-70.1-70.1 Percona XtraDB Cluster (GPL), Release 5.6.21-25.8.4150, wsrep_25.8.rXXXX

Copyright (c) 2000, 2016, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql> show databases;
+--------------------+
| Database |
+--------------------+
| information_schema |
| mysql |
| performance_schema |
| test |
+--------------------+
4 rows in set (0.00 sec)

Just verified all 3 SRUs and all of them seems alright for me.

Jason, what did I do differently from your verification ?

I'll wait for Jason's comment before marking this bug as "verification-done". I want to understand If on my verification I'm doing something different from what he is doing.

## REPRODUCER (trusty)

# policy

inaddy@tinocotrusty:~$ apt-cache policy percona-xtradb-cluster-server
percona-xtradb-cluster-server:
  Installed: (none)
  Candidate: 5.5.37-25.10+dfsg-0ubuntu0.14.04.1
  Version table:
     5.5.37-25.10+dfsg-0ubuntu0.14.04.1 0
        500 http://ports.ubuntu.com/ubuntu-ports/ trusty-updates/universe ppc64el Packages
     5.5.34-25.9+dfsg-0ubuntu4 0
        500 http://ports.ubuntu.com/ubuntu-ports/ trusty/universe ppc64el Packages

# installation

ERROR: http://pastebin.ubuntu.com/23151116/

For now, trusty is verified and fix seems to fix the issue above.

## REPRODUCER (xenial)

# policy

inaddy@tinocoxenial:~$ sudo apt-cache policy percona-xtradb-cluster-server
percona-xtradb-cluster-server:
  Installed: (none)
  Candidate: 5.6.21-25.8-0ubuntu3.1
  Version table:
     5.6.21-25.8-0ubuntu3.1 500
        500 http://ports.ubuntu.com/ubuntu-ports xenial-updates/universe ppc64el Packages
     5.6.21-25.8-0ubuntu3 500
        500 http://ports.ubuntu.com/ubuntu-ports xenial/universe ppc64el Packages

# installation

ERROR: http://pastebin.ubuntu.com/23151134/

So, I can attest for sure that SRU fixes the issue and I consider this verified.

tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for percona-xtradb-cluster-5.5 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package percona-xtradb-cluster-5.6 - 5.6.21-25.8-0ubuntu3.2

---------------
percona-xtradb-cluster-5.6 (5.6.21-25.8-0ubuntu3.2) xenial; urgency=medium

  * d/p/fix_tc_log_initlization_on_ppc64.patch: Fix log-tc-size for bigger
    page sizes to fix crash on ppc64el (LP: #1570678)

 -- Rafael David Tinoco <email address hidden> Sun, 17 Jul 2016 00:47:50 +0000

Changed in percona-xtradb-cluster-5.6 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package percona-xtradb-cluster-5.5 - 5.5.37-25.10+dfsg-0ubuntu0.14.04.2

---------------
percona-xtradb-cluster-5.5 (5.5.37-25.10+dfsg-0ubuntu0.14.04.2) trusty; urgency=medium

  * d/p/fix_tc_log_initlization_on_ppc64.patch: Fix log-tc-size for bigger
    page sizes to fix crash on ppc64el (LP: #1570678)

 -- Rafael David Tinoco <email address hidden> Sat, 16 Jul 2016 20:24:11 -0300

Changed in percona-xtradb-cluster-5.5 (Ubuntu Trusty):
status: Fix Committed → Fix Released
James Page (james-page) on 2016-09-22
Changed in percona-cluster (Juju Charms Collection):
status: Confirmed → Invalid
James Page (james-page) on 2016-10-04
Changed in percona-cluster (Juju Charms Collection):
milestone: 16.10 → none

Percona now uses JIRA for bug reports so this bug report is migrated to: https://jira.percona.com/browse/PXC-1895

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers